
  C H A N G E L O G
  =================

  This file summarizes *all* types of changes to the daCode sources.
  ___________________________________________________________________________

  Changes between 1.2.0-RC3 and 1.2.0:

     *) Few themes fixed (21-Jul-2001):
        Fixed some bugs in the width of the left column in daweb, linuxfr, 
        slashdot and wm themes. This sould improve IE compatibility.
        [Sébastien Delahaye]
        
     *) Minor fix in comments.php3 (21-Jul-2001):
        Fixed a little bug when there is no comment for a score.
        [Sébastien Delahaye]

     *) Added a missing translation in the FAQ (21-Jul-2001):
        [Sébastien Delahaye]

     *) Minor changes (21-Jul-2001):
        Minors changes to avoid error in debug mode.
        [Fabien Penso]

     *) Fix in news.php3 (21-Jul-2001):
        Small fix to prevent error when the tables are empty.
        [Hugues Pisapia <hugues@labarben.org>]

     *) Modified comments.php3 (21-Jul-2001):
        We try to avoid duplicates in the list of URL from the comments.
        [Pascal Terjan]

     *) Corrected some errors in the rendering of the FAQ. (16-Jul-2001):
        The HTML should now be almost correct.
        Thanks to S. Delahaye!
        [JB Combes]

     *) Few themes fixed (16-Jul-2001):
        Major fix for the all the themes and new icons.
        [Fabien Penso]

     *) Clean up (14-Jul-2001):
        Initialize some variables to remove warnings.
        [<mailling@bigfoot.com>]

     *) Forbid '<' sign in user settings (13-Jul-2001):
        This is to prevent any HTML evil in output.
        [Denis Barbier]

     *) Various fixes (13-Jul-2001):
        The "created" column of the user table was updated when a user had
        never logged. On LinuxFr some account had not been used for a while
        and was marked as "unused". When the used was coming back to log in
        after few month, this created column wasn't right anymore. 
        [Fabien Penso]

     *) Various fixes (13-Jul-2001):
        The email address at the end of the email sent with the "send to
        someone" function is now the one given in config.php3, instead of
        contact@linuxfr.org.
        short-rss.php3 also uses the variables from config.php3 now.
        [Sébastien Delahaye]

     *) Bugfix (12-Jul-2001):
        We didn't use the right link for the news when someone use the "send to
        someone" functionnality.
        [Fabien Penso]

     *) Various fixes (12-Jul-2001):
        Gilles Chauvin sent a a number of fix. Some bug was added yesterday.
        We also modified the printable theme which looks nicer now.
        [Fabien Penso]

     *) Minor fix (12-Jul-2001):
        Converted remaining HTML tags to lowercase.
        [Sébastien Delahaye]

     *) New translations (12-Jul-2001):
        Added a lot of new translations and forgotten lecho() in both
        phplib/and htdocs/ files.
        [Sébastien Delahaye]

     *) Update FAQ (12-Jul-2001):
        The FAQ is now bilingual
        The FAQ now adresses problems with Free.fr and other hosting providers.
        Based on work by Matthieu Ros
        The FAQ also adresses problems with PHPLib [mailing@bigfoot.com]
        [JB Combes]

  Changes between 1.2.0-RC2 and 1.2.0-RC3:

     *) Fixed comments.php3 (12-Jul-2001):
        Https URLs are also recognized and changed into links.
        [Gilles Chauvin]

     *) Fixed authentication (12-Jul-2001):
        A typo problem :) We fixed authentication, should work now.
        [Fabien Penso]
     
     *) Removed relative links (12-Jul-2001):
        It seems than trying to use relative links did bring too much
        troubles.  So let's go back to the old good time, we'll fix that
        later.
        In short: we don't use relative links anymore, until we find out how
        to do it nicely.
        [Fabien Penso]

     *) Fixed search.php3 (11-Jul-2001):
        For no reason content has been changed to CONTENT, so the search
        engine wasn't working...
        [Fabien Penso]

     *) Changed tag (11-Jul-2001):
        We changed PHP tag from <? ?> to <?php ?> as it seems that the sortest
        don't work everywhere.
        [Yves Duret]

     *) Fixed admin.php3 (10-Jul-2001):
        We couldn't change the main_page state once the news was moderated.
        [Fabien Penso]

     *) Modified sql dump (10-Jul-2001):
        The insert line for Anonymous account wasn't working.
        [Fabien Penso]

  Changes between 1.2.0-RC1 and 1.2.0-RC2:

     *) Modified comments.php3 (10-Jul-2001):
        Limit size of the view part of url when too long.
        [Frédéric Loze]

     *) Improve sqlcheck.pl script (09-Jul-2001):
        The script can now detect addslashes in SQL assignments and
        daCoders can validate variables, adding specific comments in
        source code.
        [Frédéric Loze]

     *) Secure SQL commands (07-Jul-2001):
        It is quite hard to make sure a variable is not tainted, so
        addslashes() is invoked when creating SQL commands and no more
        at the beginning of functions.
        [Denis Barbier, Frédéric Loze]

     *) Minor fix in session.php3 (07-Jul-2001):
        We fixed relative links in case you have visiblenewsfile.
        [Fabien Penso]

     *) Minor fix in comments.php3 and lang.php3 (07-Jul-2001):
        Minor fix
        [Pascal Terjan]

     *) Fix hits.php3 and modified scripts/sqlcheck.pl (07-Jul-2001):
        Fix addslashes in phplib/hits.php3, scripts/sqlcheck.pl now reports
        taints on database requests.
        [Frédéric Loze]
     
     *) Added new lecho() (05-Jul-2001):
        We added new translations.
        [Sébastien Delahaye]

     *) Fixed archive box and daily page (05-Jul-2001):
        Fixed the archive box which could print the first 10 news instead of
        the 10 following the one you have on homepage depending of the cache.
        Also fix the daily page which would print only the 10 last news, even
        if you had more.
        [Fabien Penso]
     
     *) Fix for HTML (04-Jul-2001):
        We modified the themes to make them work under IE and Netscape.
        [Sébastien Delahaye]

     *) Cosmetic Changes (03-Jul-2001):
        We fix CSS in few themes.
        [Sébastien Delahaye]
	
     *) Added a new function (03-Jul-2001):
        Users should now be able to change their real email address. We send
        them a mail with unique_id, then they enter their password, then
        the change takes effect.
        [Fabien Penso]

     *) Changed href link (03-Jul-2001):
        daCode should now use relative links like href="gen.php3...." instead
        of href="http://..../gen.php3....".
        It might be a little bit buggy.
        IMPORTANT: Some variables has been changed in config.sample, all the
        *file variables are now relative
        [Fabien Penso]

     *) Fix for lang (03-Jul-2001):
        New translations which didn't exist before.
        [Sébastien Delahaye]

     *) Fix in users.php3 (01-Jul-2001):
        Fixed a minor bug
        [Fabien Penso]

     *) Fixed poll module (30-Jun-2001):
        Fixed a minor nasty bug in case the answer had " caracter, the vote
        wasn't counted.
        [Fabien Penso]

     *) Minor HTML change (30-Jun-2001):
        Fixed some minor problem with linuxfr theme.
        [Sébastien Delahaye]

     *) Remove garbage in utils.php3 (27-Jun-2001):
        Some debugging material seemed to be forgotten in this file.
        [Jérôme Alet <alet@unice.fr>]

     *) Fix link to news submitter's email (25-Jun-2001):
        It is only displayed when email seems valid.
        [Sébastien Delahaye]

     *) Disable some Makefile targets (22-Jun-2001):
        The `php', `php3', `php4' and `reconf' targets are now handled
        by scripts/dacodeconfig.
        [Denis Barbier]

     *) Convert HTML elements to lowercase letters (22-Jun-2001):
        [Sébastien Delahaye]

     *) Add section management (22-Jun-2001):
        [Bob Maerten <maerten@univ-lille3.fr>]

     *) Added new theme (15-Jun-2001):
        We added a new theme which comes from phpnuke: OpenMind.
        [Fabien Penso]

     *) Minor changes (15-Jun-2001):
        Few cosmetic changes.
        [Sébastien Delahaye]

     *) Fixed lang.php3 (12-Jun-2001):
        Minor changes in lang.php3.
        [Sébastien Delahaye]

     *) Fixed bug in comments (12-Jun-2001):
        Fixed a minor bug in subject of comments when replying. The chars were
        not handled the right way for special html ones.
        [Fabien Penso]

     *) Modified mail() (12-Jun-2001):
        Added a system so sysadmin which doesn't have access to mail()
        function should still be using daCode.
        [Fabien Penso]

     *) Fixed tips module (12-Jun-2001):
        Minor bugfix.
        [Pascal Terjan]

     *) Fixed wm theme (11-Jun-2001):
        Minor fix in stylesheet.
        [Fabien Penso]

     *) Cosmetic changes (11-Jun-2001):
        Few cosmetic changes.
        [Sébastien Delahaye]

  Changes between 1.1.2 and 1.2.0-RC1:
     
     *) Last connected (10-Jun-2001):
        Last authenticated visitors are now printed on the left of the page.
        User can remove this functionnality in their preferences.
        [Fabien Penso]

     *) Users supp informations (10-Jun-2001):
        Users can now change their own supp. informations.
        [Fabien Penso]

     *) Modified users.php3 (10-Jun-2001):
        The sysadmin can now add other fields in config.php3 for users
        informations. Theses informations are asked to people which create new
        account, they are mandatory. The sysadmin can also define the max
        length for each field, the type, and the normal size.
        A new table has been created to store them. We still need to implement
        a function to print theses informations to visitors.
        [Fabien Penso]

     *) Worked on admin.php3 (9-Jun-2001):
        We now check if another moderator didn't change the news while the
        first one was editing it. Should fix some problem when you have lots
        of moderators.
        Changed all the HTML to lower case.
        [Fabien Penso]
  
  Changes between 1.1.1 and 1.1.2:

     *) Rewrite backends.php3 (04-Jun-2001):
        All functions now use the `generic' function, except for
        kernel() which is very special. The `generic' function is also
        improved to deal with almost all description formats.
        [Denis Barbier]

     *) Added daCode2usenet gateway script (31-May-2001)
        I added a script to automaticly post news and comments to a usenet
        server.
        [Fabien Penso]

     *) Added LDAP patch (29-May-2001)
        We now can use LDAP for authentication. We still need SQL but for
        different reasons you might want to use LDAP for users.
        See ldap/ldap.txt for informations about how to use this feature.
        [Pascal Pucci <pascal@deenoo.com>]

     *) Few changes (27-May-2001)
        We now print a "print" icon and a "send to your friend" icon. We also
        offer the possibility to add a comment to the mail we send.
        [Fabien Penso]

     *) Modified archive (27-May-2001):
        We now print the archive box depending of which page we are. So older
        page have older archive. Better navigation in archive then.
        [Fabien Penso]

     *) Fix users.php3 (26-May-2001):
        We don't print real email in input form as we don't give the possibility
        to change it anyway.
        [Pascal Terjan]

     *) Fix in size of attached files (26-May-2001):
        We now print "byte" if size is 0. We also print Mega or Kilo depending
        of the size.
        [Sébastien Delahaye]

     *) Fix links to previous and next news (22-May-2001):
        These links did not preserve scores.
        [Gilles Chauvin]

     *) New calendar box (22-May-2001):
        We now have a function to print a calendar with direct access to news
        for thoses days.
        [Pascal Terjan <pascal@bigfoot.com>]

     *) Minor fix in Poll module (21-May-2001):
        We now remove all the IP which already voted when we change the actual
        poll.
        [Fabien Penso]

     *) We add a tip module (21-May-2001):
        We add a tip module. Might brake some things. We still have to change
        $q requests by the new name.
        [Aurélien Beaujean]

     *) PDA version (16-May-2001):
        This is a first draft to read news with a PDA.
        [Jérôme Kerdreux <Jerome.Kerdreux@finix.eu.org>]

     *) Minor changes (16-May-2001):
        We put REMOTE_ADDR with the email we send to inform about a news.
        We close the window automaticly.
        We open a larger window.
        [Sébastien Delahaye <delahaye@frjv.org>]

     *) Minor fix in daweb theme (16-May-2001):
        A style in CSS file was missing.
        [Fabien Penso]

     *) Modified board.php3 (13-May-2001):
        We now can use HTML tags into board. The valid tags are configured
        into config file.
        [Fabien Penso]

     *) Added new function (13-May-2001):
        Visitors can now send a news to someone by email. They have to click
        on [E] just right after the [M].
        [Fabien Penso]

     *) Fix URLs in comments (13-May-2001):
        A bug was introduced recently which forbid `s' characters inside
        URLs.
        [Fabien Penso]

     *) Minor fix (13-May-2001):
        When the user settings was changed (password, etc), the created column
        was not kept.
        [Fabien Penso]

     *) Minor fix (12-May-2001):
        In preview mode we now have all the submited links printed and the
        right date (Submited on...).
        [Fabien Penso]

     *) Ease detection of user privileges (11-May-2001):
        The Session class now provides is_moderator, is_admin and
        is_scoror attributes to help writing functions depending on user
        privileges.
        [Denis Barbier]

     *) Fix cookies (11-May-2001):
        Recent changes were made to let cookies work with subdomains.
        This implementation was buggy, and replaced by a configuration
        variable $config->cookiedomain.
        [Aurélien Beaujean]

  Changes between 1.0 and 1.1.1:

     *) New scripts/sqlcheck.pl file (03-May-2001):
        This Perl script is primarily intended for tracking down
        tainted variables in SQL queries.
        [Frédéric Loze]

     *) Fix links to kernel patches in backends.php3 (02-May-2001):
        [Aurélien Beaujean]

     *) Fix URLs in comments (02-May-2001):
        A trailing right parenthesis was treated as being part of URL.
        [Yves Duret]

     *) Changes in SQL commands (02-May-2001):
        A new `sqlcheck' target taking advantage of the fact that all
        SQL related variables have now a name beginning with `sqlc_'
        will ease detection of tainted variables in SQL queries.
        [Frédéric Loze]

     *) Modified backends.php3 (27-Apr-2001):
        We now have a generic function to fetch informations from other sites.
        [Aurélien Beaujean]

     *) New scripts/dacodeconfig file (19-Apr-2001):
        This Perl script helps configuring daCode.
        [Denis Barbier]

     *) Fixed comments.php (05-Apr-2001):
        Some HTML tags were not filtered.
        [Frédéric Loze]

     *) Fixed utils.php3 (04-Apr-2001):
        Fixed minor bug into the function which finds the real ip of
        client.
        [Fabien Penso]

     *) Fixed users.php3 (30-Mar-2001):
        We now set up cookies so they work on subdomains too, in case daCode
        is installed on different ServerAlias.
        [Fabien Penso]

     *) Allow cache with PHP safe mode (30-Mar-2001):
        Some functions in src/phplib/utils.php3 did not work when safe
        mode is enabled.
        [Denis Barbier]

     *) Fixed bug in admin.php3 (30-Mar-2001):
        When sysadmin edited preferences for a user, theme was reseted
        to the first one.
        [Virginie Vacca]

     *) Fixed bug in utils.php3 (30-Mar-2001):
        Minor bugfix for crypt() command which appears to crash when you call
        it with one argument only.
        [Eric Seigne <erics@rycks.com>]

     *) Fix bug with url editing (29-Mar-2001):
        It was not possible to set a news link to an already existing
        url, because it implied a duplicate entry in an SQL table.
        [Paul Gonin]

     *) New way to add your own PHP modules (29-Mar-2001):
        All PHP files under src/phplib/local/ are read when this
        directory exists, and it is also possible to overload daCode
        classes by adding a trailing `Local' to its name and defining
        a constant named '_'.$class.'Local', as with
          define('_BoardLocal', TRUE);
        [Denis Barbier]

     *) Change cache behaviour (29-Mar-2001):
        Board is now cached, and this box is replaced by a call to
        $board->print_messages in cached .php3 files.
        Thus there is no need to remove main .php3 index files when
        adding new entries to board, and those pages are now generated
        when a new comment is typed.
        On the other hand, cached .html files must be regenerated when
        adding entries to board.
        [Denis Barbier]

     *) New utils->stamp2time function (25-Mar-2001):
        Replace stamp2date when called with `mode' set to `hour' or
        `seconds', because it is much faster.
        [Denis Barbier]

     *) Improved Forwarded_For (24-Mar-2001):
        - We now support multiple FORWARDED_FOR entries, and we get the right
          ones (first IP which has been used, except RFC1918 ones.
        - We do setup $config->REMOTE_ADDR as it should be depending of which
          proxy the client has used to come to us.
        [Fabien Penso]

     *) Reduce SQL queries (23-Mar-2001):
        All comments score are retrieved with a single query, which
        significantly reduce the total number of SQL queries.
        [Denis Barbier]

     *) Improve cache (23-Mar-2001):
        A new `mark_outdated' variable is introduced in config.php3.
        When set, cached files are not removed, but a lock file is
        created to mark such files as outdated, so they are generated
        next time URL is called.
        [Denis Barbier]

     *) Fixed another bug with caching (21-Mar-2001):
        Some informations are only available to privileged users; these
        informations were removed from cached HTML pages, but they
        appeared in cached boxes and so may appear on HTML files.
        [Denis Barbier]

     *) Fixed minor bug with html caching (20-Mar-2001):
        When webpages were put under a directory with a name other than
        htdocs/, then cached pages could not be displayed.
        [Denis Barbier]

     *) Fixed minor bugs in hits.php3, html.php3, admin.php3 (20-Mar-2001):
        Fixed javascript function to display url in window.status in case url
        has single quotes.
        Fixed also some missing colons in javascript
        [Fabien Penso]

     *) Fix caching section box (20-Mar-2001):
        [Denis Barbier]

     *) Fix link for webcam administration (19-Mar-2001):
        In URL, `webcam/' has to be replaced by `/webcam/'.
        [Virginie Vacca]

     *) Fix advanced search (19-Mar-2001):
        An extra space did prevent displaying the `All' word.
        [Virginie Vacca]

     *) New admin function to add sections (18-Mar-2001):
        [Arnaud Willem]

     *) Improve i18n (18-Mar-2001):
        In src/phplib/lang.php3, replace the 2 arrays of strings by an
        hash array, which should ease further translations.
        [Denis Barbier]

     *) Improve Cache (18-Mar-2001):
        Put HTML fragments into several subdirectories in order to avoid
        having too much files in a single directory.  Change how cached
        fragments are handled to minimize regeneration of files.
        [Denis Barbier]

  Changes between 1.0-RC2 and 1.0:

     *) Fix kernel links (17-Mar-2001):
        Link to latest prepatch was broken.
        [anvil@amin.unice.fr]

     *) Fix comment submission (13-Mar-2001):
        Preview displayed login even if user preferences was set up to
        display first/last name.
        [Irvin Probst <irvin@irvinig.org>]

     *) Improve i18n (11-Mar-2001):
        Provide almost all messages both in English and French.
        [Yves Duret, Paul Gonin]

     *) Customize edito (11-Mar-2001):
        It is now defined in config file.
        [Denis Barbier]

     *) Modified users.php3 (10-Mar-2001):
        We don't send password to anonymous user anymore.
        [Fabien Penso]

     *) Modified redirects.php3 (10-Mar-2001):
        We now keep vars in url only if they use _persist in the beginning of
        their name. This prevents some bugs we had in admin system when we
        clicked on the left, on section while we just moderated a news.
        [Fabien Penso]

     *) Modified utils.php3 and users.php3 (08-Mar-2001):
        We now use encrypt_dacode in utils.php3 to not use encrypt() into
        mysql.
        [Fabien Penso]

     *) Improve i18n (08-Mar-2001):
        [Yves Duret <yduret@mandrakesoft.com>]

     *) Improve wm theme (06-Mar-2001):
        [Benjamin Drieu]

     *) Fix attachments (06-Mar-2001):
        Only one file could be attached to news, this has been fixed and
        all attached files are displayed.
        [Jean-Baptiste Combes]

     *) Fix bug with special chars in comments (05-Mar-2001):
        Try to fix recurrent bug with special characters in subject
        comment.
        [Denis Barbier]

     *) Added FAQ draft (05-Mar-2001):
        [Jean-Baptiste Combes]

     *) Change in theme tar format (05-Mar-2001):
        For each theme, the VERSION file contains information regarding
        its version number, author, etc. In order to prevent future
        collisions between different formats, first line now contains
        the format version number (currently 1). DaCode files have been
        updated to read both old and new formats, but older daCode may
        be confused.
        [Denis Barbier]

     *) Fixed bug in news.php3 and sidebox.php3 (04-Mar-2001):
        A bug has been fixed. An error was occuring when no news has been
        submited.
        [Arnaud Willem]

     *) Display name in comments according to user settings (04-Mar-2001):
        Users can choose how their name appear in comments, either
        login or first/last name.  Unfortunately this did not work.
        [Thomas Walraet]

     *) Fixed bug in users.php3 (04-Mar-2001):
        Fixed a bug inside send_password() function.
        [Christophe Lefebvre <cybertof@club-internet.fr>]

  Changes between 1.0-RC1 and 1.0-RC2:

     *) Fixed user table (03-Mar-2001):
        Under FreeBSD the encrypt() function doesn't work the same way and
        encrypted password can be longer than 20 caracteres. Changed it to 40
        for safety into user table.
        [Patrick Marie <patrick@nexen.net>]

     *) Fixed linuxfr theme (03-Mar-2001):
        Fixed linuxfr theme for the grey LSFN topbar so it's w3 compliant.
        [Mathieu <yeupou@free.fr>]

     *) Modified show_webcam_to_moderate (03-Mar-2001):
        This function now shows the image to moderate instead of a link to
        this image.
        [Arnaud Willem]

     *) Added "Edit" functionnality to the webcam module (03-Mar-2001):
        It is now possible to remove or keep an already moderated webcam.
        [Arnaud Willem]

     *) Added news number on top left (01-Mar-2001):
        We now print the number of news for each sections on top left of the
        page.
        [Fabien Penso]

     *) Improve poll results (28-Feb-2001):
        Display total number of votes in poll results.
        [Gilles Chauvin]

     *) Fix HTML entities in comment subject (28-Feb-2001):
        [Denis Barbier]

     *) Better control on HTML tags in comments (27-Feb-2001):
        List of valid HTML tags within comments is defined in the config
        file.
        [Denis Barbier]

     *) Fix end of comment submission (27-Feb-2001):
        Display generic news URL when finishing comment submission.
        [Denis Barbier]

     *) Clean-up (26-Feb-2001):
        Remove $config->hostname in config file and in redirects.php3
        [Denis Barbier]

     *) SQL Changed and news.php3 (26-Feb-2001):
        The SQL tables has been changed. A user_id column has been added into
        news table for karma purpose.
        The news.php3 now log user_id when commiting a news.
        [Fabien Penso]

     *) Minor fix in view_modero.php3 (26-Feb-2001):
        A </div> instead of </span> was used.
        [Arnaud Willem <dacode@woof.lu>]
 
     *) Update Users'Guide documentation (26-Feb-2001):
        This was not mentioned before in this ChangeLog, but
        Jean-Baptiste wrote guides for users and administrators,
        available in French and English, and also available online
        on www.dacode.org.
        This update reflects some recent changes, especially about
        news submission and comments display.
        [Jean-Baptiste Combes <combes@ec-lille.fr>]
 
     *) Fixed lolix backend (26-Feb-2001):
        Url for the lolix.org homesite backend has changed.
        [Aurélien Beaujean]
 
     *) New theme (25-Feb-2001):
        The `daweb' new theme is primarily designed for www.dacode.org
        [Paul Gonin]
 
     *) Fixed src/phplib/users.php3 (25-Feb-2001):
        We couldn't auth. from new_account page. Missing </form> :-)
        [Noé Reboul <noe.reboul@free.fr>]
 
     *) Added time log into static html (25-Feb-2001):
        We now put into static html which are generated by the cache system the
        date and time for information purpose.
        Thanks to Yves Mettier.
        [Fabien Penso]
 
     *) Update cached archives (24-Feb-2001):
        When a news is moderated, cached archives was not updated.
        [Denis Barbier]
 
     *) Fixed bug in htdocs/board/add.php3 (24-Feb-2001):
        Strangely $HTTP_POST_VARS['message'] had to be changed for ["message"].
        [Virginie Vacca <vvirginie@free.fr>]
 
  Changes between pre-1.0 and 1.0-RC1: 
 
     *) Store encrypted password (21-Feb-2001):
        We now use encrypted password in the database for security reason.
        [Fabien Penso]
 
     *) Filter comments (21-Feb-2001):
        Only authorized tags are now available within comments, others are
        escaped.
        [Frédéric Loze]
 
     *) Improve comment display (19-Feb-2001):
        When a closed comment is displayed, it now uses themes, and some
        pop-up properties have changed.
        [Frédéric Loze]
 
     *) Add a new CSS class for simple text (09-Feb-2001):
        In src/phplib/admin.php3 and src/phplib/users.php3, the newstext
        class is replaced by sboxtext.
        [Paul Gonin <pgonin@cs.uno.edu>]
 
     *) Fix comments (09-Feb-2001):
        Prevent from inserting a comment twice.  This usually happened
        when form was submitted twice by reloading a page.
        Fix HTML entities in comment subject.
        [Frédéric Loze]
 
     *) Minor bugfix when creating new user (08-Feb-2001):
        Thanks Thierry Boudet.
        [Fabien Penso]
 
  Changes between 0.9.1 and pre-1.0:
 
     *) Bugfix for the trouble when creating new user (07-Feb-2001):
        Fixed the problem we had when creating user sometimes. thanks
        Thierry Boudet for the help to debug.
        [Fabien Penso]
   
     *) Changes in SQL tables (06-Feb-2001):
        The users_id column in news_moderated has been renamed into
        user_id because other tables do already use this name; in
        `comments' table, news_id and user_id are now int(6).
        [Denis Barbier]
 
     *) Prepare daCode for using either .php or .php3 suffixes (04-Feb-2001):
        The PHP extension is chosen by the server admin, so allowing both
        suffixes helps installing daCode everywhere.  A single change in
        src/htdocs/dacode.php3 let you decide which extension you need.
        Note that there is no script yet to rename all files.
        [Denis Barbier]
 
     *) Change default theme name (01-Feb-2001):
        Its name is now `linuxfr' instead of `default'.
        [Denis Barbier]
 
     *) Source files reorganization (01-Feb-2001):
        All files under src/htdocs/ which are theme-dependent are put
        into themes/<theme_name>/; currently CSS files and icons have
        been moved there.
        [Denis Barbier]
 
     *) New backends (01-Feb-2001):
        Four new backends are added, picking infos from jesuislibre.org,
        linuxfr.org, fr.lolix.org and slashdot.org.
        [Aurélien Beaujean <aure@dagoba.eu.org>]
 
     *) Speed up search (30-Jan-2001):
        There was a misfit between comments.news_id and news.id, the
        former was defined as a varchar. Fixing this bug and using SQL
        jointures in queries dramatically decrease processing time.
        [Denis Barbier]
 
     *) WAP version Change (30-Jan-2001):
        Better WAP support. Users can read complete news from a WAP phone.
        [Fabien Penso]
 
     *) Fix bugs with news (29-Jan-2001):
        - Fixed bug when a news wasn't printed because view was at 0
        - Fixed bug for prev_next under each news
        [Fabien Penso]
 
     *) Some changes about comments (28-Jan-2001):
        - a new link mypost.php3 for an egoistical view of comments
        - news and comments are anchored
        - a new `back' link after a submit
        - a `[+]' popup to read closed comments
        - fix: mail.png
        [Loze Frédéric <flux@nexen.net>]
 
     *) Rename the `view' column in `news' table (27-Jan-2001):
        This is necessary because `view' is a PostgreSQL reserved
        keyword; it is replaced by `main_page'.
        [Rolland Dudemaine]
 
     *) Fix problems with some server configuration (27-Jan-2001):
        Some ISPs provide bogus values for $SCRIPT_NAME, so it has been
        replaced by real script name. And daCode now works even when
        server does not allow URLs like /gen.php3/foo/bar, in which case
        one has to put a trailing question mark to $config->newsfile.
        [Denis Barbier]
 
     *) Rename doc/dacode.sql and src/phplib/db.php3 (23-Jan-2001):
        This is necessary to make mySQL and PostgreSQL coexist
        peacefully. The doc/dacode.sql file has been renamed into
        doc/dacode.mysql, and src/phplib/db.php3 is now known as
        src/phplib/dbmysql.php3 ; their PostgreSQL counterpart have
        been added.
        [Rolland Dudemaine]
 
     *) First draft for adding support of PostgreSQL (23-Jan-2001):
        This is still under development, putting files into CVS tree
        will ease its debugging.
        [Rolland Dudemaine <karllim@apologia.cx>]
 
     *) New themes (22-Jan-2001):
        Two new themes have been added: lynx, specifically designed for
        text browsers, and wm with a WindowMaker look.
        [Benjamin Drieu <drieu@bocal.cs.univ-paris8.fr>]
 
     *) Cache poll (22-Jan-2001):
        [Denis Barbier]
 
     *) Make cached files deletion more flexible (22-Jan-2001):
        All delete_* functions in src/phplib/cache.php3 accept a new
        optional argument, which is a pattern matched by directories when
        dweleting files recurively.
        [Denis Barbier]
 
     *) Fixed bug in message module (14-Jan-2001):
        Fixed bug in messages module with cache system.
        [Fabien Penso]
 
     *) Do not use $SCRIPT_URI in scripts (14-Jan-2001):
        This variable seems to forbid news and commit submissions by some
        browsers with PHP3. It is replaced by $SCRIPT_NAME
        [Frédéric Loze]
 
     *) Cosmetic cleanups (14-Jan-2001):
        Remove many PHP warnings.
        [Denis Barbier]
 
     *) Customize log of SQL queries (13-Jan-2001):
        A new variable $config->sql_logfile contains the name of a file
        where SQL queries are logged.
        [Denis Barbier]
 
     *) Improve poll administration (13-Jan-2001):
        [Denis Barbier]
 
     *) Fix link (12-Jan-2001):
        When displaying a piece of news, news title link was broken.
        [Denis Barbier]
 
     *) Bugfix about templates (12-Jan-2001):
        When a template does not exist, no data was sent to browser,
        which is very confusing.  This behaviour has changed, and the
        same template in the default theme is used when the current one
        is missing.
        [Denis Barbier]
 
     *) Many cleanups in themes (12-Jan-2001):
        Some common functions are put into src/phplib/html.php3 to avoid
        duplicate lines.
        All HTML strings in html.php3 files are converted to lowercase letters.
        [Denis Barbier]
 
     *) Modified admin (12-Jan-2001):
        The admin box now list the news put in waiting state.
        [Fabien Penso]
 
     *) Added links in webcam (12-Jan-2001):
        http:// url added in webcam comments are now linked as it is done
        in board.
        [Fabien Penso]
 
     *) Fix agenda box (12-Jan-2001):
        When remote server was unreachable, no HTML was delivered.
        So a timeout has been added, and agenda server is marked as
        down when it cannot be reached.
        [Denis Barbier]
 
     *) Remove hardcoded `Da Linux French Page' titles (12-Jan-2001):
        These titles are replaced by $config->titledefault
        [Denis Barbier]
 
     *) Fixed bug in htdocs/webcam (12-Jan-2001):
        Fixed bug in case no image is proposed.
        [Fabien Penso]
 
     *) Fixed bug in gen.php3. (11-Jan-2001):
        In case someone calls .html files 
        which doesn't exist when he's authenticated, the file isn't
        written so others don't see his box.
        [Fabien Penso]
 
     *) Allow nicer URLs when mod_rewrite is unused (11-Jan-2001):
        [Denis Barbier]
 
     *) Make polls themable (11-Jan-2001):
        [Denis Barbier]
 
     *) Bugfix in submit.php3 (10-Jan-2001):
        News body content-type was always reset to text/plain.
        [Nicolas Verite <nicolas.verite@francetelecom.com>]
 
     *) Change internals of comment submission form (10-Jan-2001):
        It is now similar to news submission. A new checkbox let user
        score his own comment to -1.
        [Denis Barbier]
 
     *) New theme: printable (09-Jan-2001):
        This theme is primarily intended for displaying news without all
        navigation boxes, in a manner suitable for printing.
        [Raph]
 
     *) New icons for the slashdot theme (09-Jan-2001):
        These icons are standard icons, but with a white background.
        [Gilles Chauvin]
 
     *) Improve display of comment submission form (08-Jan-2001):
        This form now uses templates, and the news to which this comment
        is attached to is also previewed.
        [Frédéric Loze <flux@nexen.net>]
 
     *) Fixed display of user related pages (08-Jan-2001):
        All files under src/htdocs/users/ now use templates.
        [Denis Barbier]
 
  Changes between 0.9 and 0.9.1:
 
     *) Fixed admin (06-Jan-2001):
        We should now have a board for admin (private discussion).
        [Fabien Penso]
 
     *) Fixed fortune (06-Jan-2001):
        The last fortune could not be displayed and a timeout error
        was raised.
        [Guyzmo]
 
     *) Fixed news (06-Jan-2001):
        Fixed attachement output when using content_type printable.
        Removed htmlentities() to keep HTML in articles, but added
        ereg_replace for <?  and ?> for malicious code in cache (files
        are required so someone who put <? ?> will be executed ...)
        [Fabien Penso]
 
     *) Fixed search (06-Jan-2001):
        Fixed the search in case it finds only one item. It wasn't displayed
        before. Made some cosmetic changes so it looks better.
        [Fabien Penso]
 
     *) Improve news submission (06-Jan-2001):
        A mechanism a la freshmeat.net is set, form has to be validated
        until all fields are kept unchanged. News preview is enhanced,
        and file uploads are handled at a separate step.
        [Denis Barbier]
 
     *) Fix polls (05-Jan-2001):
        There were two bugs: a fresh poll performed a division by zero,
        and some quotes were escaped.
        [Ghislain Seguy <ghislain.seguy@nexen.net>]
 
     *) New documentation doc/devel.txt (04-Jan-2001):
        Some basic help for newcomers who want to contribute to daCode.
        [Denis Barbier]
 
     *) Administrator can edit news (03-Jan-2001):
        This feature had been disabled in previous releases because it
        collides with caching. Generated .php3 files now contain a call
        to $admin->news_showedit, which displays this button when admin
        is logged on.
        [Fabien Penso]
 
     *) Fix unwanted quotes in board (03-Jan-2001):
        [Raph]
 
     *) Fix section and topics links (03-Jan-2001):
        When caching is disabled, links to sections and topics did not
        contain gen.php3 which caused a 404 error.
        [Raph]
 
     *) Fix some layout bugs with the Slashdot theme (02-Jan-2001):
        [Denis Barbier]
 
     *) Fix password reminder (02-Jan-2001):
        [Fabien Penso]
 
     *) Fix news moderation (02-Jan-2001):
        Some moderators could not do their job because of wrong
        permission checks.
        [Fabien Penso]
 
     *) Bug fix (02-Jan-2001):
        In src/phplib/admin.php3, fix misused Session object.
        [Raph <raph@r4f.org>]
 
     *) Fix display of the kernel box (02-Jan-2001):
        [Gilles Chauvin <gilles.chauvin@ifrance.com>]
 
     *) Fix display of proposed links (02-Jan-2001):
        They were truncated to 15 chars, this value is increased to 40.
        [Denis Barbier]
 
     *) Do not count -1 scored comments (02-Jan-2001):
        When displaying the number of comments, these comments are not
        taken into account.
        [Denis Barbier]
 
     *) Improve default user settings configuration (02-Jan-2001):
        They are now handled by a single variable $config->dft_prefs.
        [Denis Barbier]
 
     *) Fix broken news URLs (02-Jan-2001):
        The gen.php3 script is now much more strict about its input.
        [Denis Barbier]
 
     *) Fix the ``2 chars'' bug (01-Jan-2001):
        When a posted variable contains newlines, the first 2 characters
        were gobbled.
        [Denis Barbier]
 
     *) Fix department display (01-Jan-2001):
        [Denis Barbier]
 
     *) Rearrange caching functions (01-Jan-2001):
        Move delete_files and delete_obsolete_news from Utils to Cache.
        New wrapper functions delete_htmlfiles and delete_boxfiles called
        instead of delete_files.
        [Denis Barbier]
 
     *) Fix cache (01-Jan-2001):
        When clearing cache, news archives were not removed.
        [Denis Barbier]
 
     *) Fix archives by date (31-Dec-2000):
        They were not viewable with the Slashdot theme.
        [Denis Barbier <barbier@imacs.polytechnique.fr>]
 
     *) Updated sample doc/dacode.sql (31-Dec-2000):
        [Fabien Penso <penso@linuxfr.org>]
 
  First public release: daCode 0.9 (31-Dec-2000)
